Bug 1306405 - Kill the entire process group when a command times out
Summary: Kill the entire process group when a command times out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sh
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Grover
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-10 18:09 UTC by Alan Pevec
Modified: 2016-03-05 14:28 UTC (History)
3 users (show)

Fixed In Version: python-sh-1.11-1.fc23 python-sh-1.11-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-26 19:24:44 UTC


Attachments (Terms of Use)

Description Alan Pevec 2016-02-10 18:09:02 UTC
Description of problem:
Copied from https://github.com/amoffat/sh/pull/237 :
In cases where the command being executed spawns subcommands
we need to ensure they are all killed, so that the timeout
occurs when it should instead of waiting for the subprocesses to exit.

Comment 1 Alan Pevec 2016-02-10 18:10:15 UTC
Upstream review is not merged and released yet, for a year.
Please include patch in Fedora/EPEL package.

Comment 2 Fedora Update System 2016-02-15 18:28:37 UTC
python-sh-1.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a4dafd6b9f

Comment 3 Fedora Update System 2016-02-16 11:04:41 UTC
python-sh-1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d41837277a

Comment 4 Fedora Update System 2016-02-17 04:49:47 UTC
python-sh-1.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a4dafd6b9f

Comment 5 Fedora Update System 2016-02-17 06:28:00 UTC
python-sh-1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d41837277a

Comment 6 Jan Kurik 2016-02-24 14:28:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 7 Fedora Update System 2016-02-26 19:24:42 UTC
python-sh-1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-03-05 14:28:49 UTC
python-sh-1.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.